BLK_LIMITS_IO_MIN(9)

NAME
blk_limits_io_min - set minimum request size for a device

SYNOPSIS

void blk_limits_io_min(struct queue_limits * limits, unsigned int min);

ARGUMENTS

limits
    the queue limits

min
    smallest I/O size in bytes

DESCRIPTION

Some devices have an internal block size bigger than the reported hardware sector size. This function can be used to signal the smallest I/O the device can perform without incurring a performance penalty.

COPYRIGHT